import { Group } from "three";
import { Tree } from "../core/index.js";
/**
 * An octree helper.
 */
export declare class OctreeHelper extends Group {
    /**
     * The octree.
     */
    octree: Tree | null;
    /**
     * Constructs a new octree helper.
     *
     * @param octree - An octree.
     */
    constructor(octree?: Tree | null);
    /**
     * Creates the octant geometry.
     *
     * @param octants - An octree iterator.
     * @param octantCount - The size of the given sequence.
     */
    private createLineSegments;
    /**
     * Updates the helper geometry.
     */
    update(): void;
    /**
     * Destroys the helper geometry.
     */
    dispose(): void;
}
