import { Ray } from "three";
import { Node } from "../core/index.js";
/**
 * A raycaster for pointer-based octrees.
 *
 * Reference:
 *  "An Efficient Parametric Algorithm for Octree Traversal"
 *  by J. Revelles et al. (2000)
 */
export declare class OctreeRaycaster {
    /**
     * Finds (pseudo) leaf octants that intersect with the given ray.
     *
     * @param node - An octree node.
     * @param ray - A ray.
     * @return The intersecting octants. Sorted by distance, closest first.
     */
    static intersectOctree(node: Node, ray: Ray): Node[];
}
